Skip to main content

Create Session Template For Sandbox

POST 

/v1/sandbox/:sandbox_id/session-template

Add a new Session Template for a sandbox

Requires permission sandbox:config:edit.

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Body

required

    session_type Session Type (string)required

    Possible values: non-empty and <= 50 characters

    Unique name for this type of session

    engine_session_type Engine Session Type (string)required

    Possible values: non-empty and <= 50 characters

    The engine name for this session type

    can_join_matchmaking Can Join Matchmaking (boolean)

    Default value: true

    If sessions of this type can be entered into the matchmaking system

    can_be_created_by_players Can Be Created By Players (boolean)

    Default value: true

    If players can create this session directly

    attempt_auto_join Attempt Auto Join (boolean)

    Should we attempt to automatically join an existing session before creating a new one

    default_public Default Public (boolean)

    If the session should be publicly joinable without invites

    auto_add_to_browser Auto Add To Browser (boolean)

    If the session should be automatically added to the public session browser

    auto_browser_params

    object

    Parameters added to the session when it is automatically added to the public session browser

    property name* string
    can_be_added_to_browser Can Be Added To Browser (boolean)

    Default value: true

    Can this session type be added to the public session browser

    keep_alive_on_empty Keep Alive On Empty (boolean)

    If the session should be kept alive when there are no players actively in it

    auto_startup_params

    object

    Parameters given to an instance to change what map and mode it loads, and other gameplay behavior

    map Map (string)required

    Possible values: non-empty and <= 1024 characters

    Name of the map for the instance to spawn with

    mode Mode (string)

    Possible values: non-empty and <= 1024 characters

    Game mode for the instance to spawn in

    misc_params Misc Params (string)

    Possible values: non-empty and <= 4096 characters

    Additional commandline parameters for the instance

    custom_data

    object

    Custom data to pass through to the instance

    property name* string
    auto_startup_instance_template_id uuid

    ID for an instance request template that should be used to automatically start an instance when a session of this type is created. This takes priority over Instance Startup Params

    min_session_count Min Session Count (integer)

    Default value: 0

    The minimum number of these sessions that should be kept alive at all times

    default_num_teams Default Num Teams (integer)

    Possible values: >= 1

    Default value: 2

    Default number of teams this session type will have

    default_players_per_team Default Players Per Team (integer)

    Possible values: >= 1

    Default value: 4

    Default number of players allowed per team

    can_player_change_team Can Player Change Team (boolean)

    Default value: true

    Can a player change their own team without elevated permissions

    custom_data

    object

    Custom passthrough data that will be added to all sessions of this type

    property name* string
    notify_on_reservation Notify On Reservation (boolean)

    Default value: true

    If players should be notified at time of reservation in this type of session instead of waiting until they're invited

    player_visibility PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

    admin_player_visibility PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

    player_notification_frequency PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

    admin_player_notification_frequency PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

Responses

Successful Response

Schema

    session_type Session Type (string)required

    Possible values: non-empty and <= 50 characters

    Unique name for this type of session

    engine_session_type Engine Session Type (string)required

    Possible values: non-empty and <= 50 characters

    The engine name for this session type

    can_join_matchmaking Can Join Matchmaking (boolean)

    Default value: true

    If sessions of this type can be entered into the matchmaking system

    can_be_created_by_players Can Be Created By Players (boolean)

    Default value: true

    If players can create this session directly

    attempt_auto_join Attempt Auto Join (boolean)

    Should we attempt to automatically join an existing session before creating a new one

    default_public Default Public (boolean)

    If the session should be publicly joinable without invites

    auto_add_to_browser Auto Add To Browser (boolean)

    If the session should be automatically added to the public session browser

    auto_browser_params

    object

    Parameters added to the session when it is automatically added to the public session browser

    property name* string
    can_be_added_to_browser Can Be Added To Browser (boolean)

    Default value: true

    Can this session type be added to the public session browser

    keep_alive_on_empty Keep Alive On Empty (boolean)

    If the session should be kept alive when there are no players actively in it

    auto_startup_params

    object

    Parameters given to an instance to change what map and mode it loads, and other gameplay behavior

    map Map (string)required

    Possible values: non-empty and <= 1024 characters

    Name of the map for the instance to spawn with

    mode Mode (string)

    Possible values: non-empty and <= 1024 characters

    Game mode for the instance to spawn in

    misc_params Misc Params (string)

    Possible values: non-empty and <= 4096 characters

    Additional commandline parameters for the instance

    custom_data

    object

    Custom data to pass through to the instance

    property name* string
    auto_startup_instance_template_id uuid

    ID for an instance request template that should be used to automatically start an instance when a session of this type is created. This takes priority over Instance Startup Params

    min_session_count Min Session Count (integer)

    Default value: 0

    The minimum number of these sessions that should be kept alive at all times

    default_num_teams Default Num Teams (integer)

    Possible values: >= 1

    Default value: 2

    Default number of teams this session type will have

    default_players_per_team Default Players Per Team (integer)

    Possible values: >= 1

    Default value: 4

    Default number of players allowed per team

    can_player_change_team Can Player Change Team (boolean)

    Default value: true

    Can a player change their own team without elevated permissions

    custom_data

    object

    Custom passthrough data that will be added to all sessions of this type

    property name* string
    notify_on_reservation Notify On Reservation (boolean)

    Default value: true

    If players should be notified at time of reservation in this type of session instead of waiting until they're invited

    player_visibility PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

    admin_player_visibility PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

    player_notification_frequency PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

    admin_player_notification_frequency PlayerVisibility (string)

    Possible values: [ALL, TEAM, SELF, NONE]

    An enumeration.

    sandbox_id uuid

    ID of the Sandbox

    session_template_id uuidrequired

    UUID to identify this specific session template

    platform_session_templates

    object[]

    List of PlatformSessionTemplates that belong to this session type

  • Array [

  • platform_session_type Platform Session Type (string)required

    Possible values: non-empty and <= 50 characters

    The platform's name for this type of platform session

    max_players Max Players (integer)

    Possible values: >= 1

    The maximum number of players that are allowed within this platform session

    custom_data

    object

    Custom passthrough data that will be added to all sessions of this type

    property name* string
    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    sandbox_id uuid

    ID of the Sandbox

    session_template_id uuidrequired

    Unique id for this type of session that this template is associated with

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

  • ]

  • last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

Loading...